@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

::ng-deep .link {
  text-decoration: none;
  cursor: pointer;

  &__text {
    //display: inline-block;
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 20px;
    color: var(--white-color);
    vertical-align: middle;

    ::ng-deep .link--in-text & {
      font-family: inherit;
      font-size: inherit;
      line-height: inherit;
    }

    .link--sm & {
      font-size: 12px;
    }

    .link--lg & {
      font-size: 16px;
    }

    .link--gray & {
      color: lighten($gray-dark-color, 10%);
      border-bottom-color: lighten($gray-dark-color, 10%);
    }

    .link--yellow & {
      color: $primary-color;
      border-bottom-color: $primary-color;
    }

    ::ng-deep .link--blue & {
      color: $blue-color;
      border-bottom-color: $blue-color;
    }

    ::ng-deep .link--no-underline & {
      border: none;
    }

    .link--outer & {
      font-size: 18px;
      line-height: 25.2px;
      border-bottom: 1px solid $gray-light-color;
    }

    .link--bold & {
      font-weight: 500;
    }

    .link:hover & {
      border-bottom: transparent;
      opacity: 0.7;
    }
  }

  ::ng-deep svg {
    vertical-align: middle;
  }

  ::ng-deep app-icon + &__text {
    margin-left: 6px;
  }

  ::ng-deep &__text + app-icon {
    margin-left: 6px;
  }
}
